--[[============================================================================
main.lua
============================================================================]]--

require "masking_class"

--------------------------------------------------------------------------------
-- Main functions
--------------------------------------------------------------------------------

-- This example function is called from context option in the Pattern editor / 
-- Pattern submenu.
-- It will show the content mask dialog and also print the current values read 
-- from the xml file (if they exist!) 
local function show_mask_values()
  masking_dialog()

  local masking_table = MaskingTable()
  local ok,err = masking_table:load_from(mask_file)
  print(mask_file)
  print ("Mask not:"..masking_table["Note"].value)
  print ("Mask sgn:"..masking_table["Sign"].value)
  print ("Mask oct:"..masking_table["Octave"].value)
  print ("Mask ins:"..masking_table["Instrument"].value)
  print ("Mask vol:"..masking_table["Volume"].value)
  print ("Mask pan:"..masking_table["Panning"].value)
  print ("Mask del:"..masking_table["Delay"].value)
  print ("Mask fxn:"..masking_table["EffectNumber"].value)
  print ("Mask fxv:"..masking_table["EffectValue"].value)
  print ("Mask aut:"..masking_table["Automation"].value)
end


--------------------------------------------------------------------------------
-- Menu entries
--------------------------------------------------------------------------------

renoise.tool():add_menu_entry {
  name = "Pattern Editor:Pattern:Masking options",
  invoke = show_mask_values
}

